/*
 * Copyright (C) 2010 Teleal GmbH, Switzerland
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation, either version 3 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.teleal.cling.support.contentdirectory.descriptor;

/**
 * Makes the JAXB generated XML pretty, some devices might expect the "right" prefixes.
 *
 * @author Christian Bauer
 */
public class DidlNamespacePrefixMapper extends com.sun.xml.internal.bind.marshaller.NamespacePrefixMapper {

    public String getPreferredPrefix(String uri, String suggestion, boolean requirePrefix) {
        if (uri.equals("http://purl.org/dc/elements/1.1/")) {
            return "dc";
        } else if (uri.equals("urn:schemas-upnp-org:metadata-1-0/upnp/")) {
            return "upnp";
        } else {
            return "";
        }
    }
}
